import { ModelService } from './model.service';
import { Md5Service } from './md5.service';
import { InteractionParams, Variable } from './objects';
import { HelperService } from './helper.service';
import { ControllerService } from './controller.service';
import { DrillDownService } from './drill-down.service';
export declare class InteractionsService {
    model: ModelService;
    md5: Md5Service;
    controller: ControllerService;
    helper: HelperService;
    drillDownService: DrillDownService;
    constructor(model: ModelService, md5: Md5Service, controller: ControllerService, helper: HelperService, drillDownService: DrillDownService);
    postInteraction(params: InteractionParams): void;
    showParametersPanel(data: any): void;
    sortPropsInDrillDownParameters(inArray: []): any[];
    getParametersValues(): any;
    getVariableValue(parameter: Variable): any;
    val(key: any, parameter: Variable, value?: any): any;
    initializeInteractions(page: any): void;
    getComponentOffset(component: any): {
        top: number;
        left: number;
    };
    paintSortingArrow(component: any, sort: string): void;
    paintCollapsingIcon(component: any, collapsed: boolean): void;
    postInteractionSorting(component: any, isCtrl: boolean): void;
    postInteractionDrillDown(component: any): void;
    postInteractionCollapsing(component: any): void;
    updateAllHyperLinks(): void;
}
