import { OnInit, AfterViewInit, ElementRef, OnChanges, EventEmitter } from '@angular/core';
import { ControllerService } from './services/controller.service';
import { MenuService } from './menu/menu.service';
import { ModelService } from './services/model.service';
import { ExportService } from './services/export.service';
import { FormService } from './forms/form.service';
import { ApiService } from './services/api.service';
import { PrintService } from './services/print.service';
import { DashboardService } from './services/dashboard.service';
export declare class StimulsoftViewerComponent implements OnInit, AfterViewInit, OnChanges {
    private controller;
    menuService: MenuService;
    model: ModelService;
    exportService: ExportService;
    formService: FormService;
    api: ApiService;
    private printService;
    private dashboardService;
    /**
     * Root viewer span
     */
    viewerElement: ElementRef;
    /**
     * Occurs when report/dashboard loaded
     */
    loaded: EventEmitter<any>;
    /**
     * Occurs on error, $event is ErrorMessage object contains error: string & type: any  (if present)
     */
    error: EventEmitter<any>;
    /**
     * Occurs on export, $event object contains exportFormat: string & exportSettings: {}
     */
    export: EventEmitter<any>;
    /**
     * Occurs on export & email, $event object contains exportFormat: string & exportSettings: {}
     */
    email: EventEmitter<any>;
    /**
     * Occurs on export & email, $event object contains format: string : 'PrintPdf' or 'PrintWithoutPreview' or 'PrintWithPreview'
     */
    print: EventEmitter<any>;
    /**
     * Occurs on pressing 'Design' button
     */
    design: EventEmitter<any>;
    /**
     * Url to server instance, must contains placeholder {action} that will replace with action
     * Example: http://server.url:51528/Viewer/{action}
     */
    requestUrl: string;
    /**
     * Controller action that handle viewer initial request
     */
    action: string;
    /**
     * Properties that will transfer to controller action as JSON object
     */
    properties: any;
    /**
     * Viewer width
     */
    width: string;
    /**
     * Viewer height
     */
    height: string;
    /**
     * Viewer background color
     */
    backgroundColor: string;
    /**
     * Style of viewer applied to main span as [style]="style"
     */
    style: string;
    postParametersFunction: any;
    initialized: boolean;
    private viewInit;
    constructor(controller: ControllerService, menuService: MenuService, model: ModelService, exportService: ExportService, formService: FormService, api: ApiService, printService: PrintService, dashboardService: DashboardService);
    ngOnChanges(changes: import('@angular/core').SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    initEvents(): void;
    loadViewer(): void;
    resize(): void;
}
